ZenLib

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
ZenLib::uint128 Class Reference

`#include <int128u.h>`

## Public Member Functions
| uint128 () throw ()
| uint128 (const uint128 &a) throw ()
| uint128 (const int &a) throw ()
| uint128 (const unsigned int &a) throw ()
| uint128 (const int64u &a) throw ()
| uint128 (const float a) throw ()
| uint128 (const double &a) throw ()
| uint128 (const long double &a) throw ()
| uint128 (const char *sz) throw ()
bool | operator! () const throw ()
uint128 | operator- () const throw ()
uint128 | operator~ () const throw ()
uint128 & | operator++ ()
uint128 & | operator-- ()
uint128 | operator++ (int)
uint128 | operator-- (int)
uint128 & | operator+= (const uint128 &b) throw ()
uint128 & | operator*= (const uint128 &b) throw ()
uint128 & | operator>>= (unsigned int n) throw ()
uint128 & | operator<<= (unsigned int n) throw ()
uint128 & | operator|= (const uint128 &b) throw ()
uint128 & | operator&= (const uint128 &b) throw ()
uint128 & | operator^= (const uint128 &b) throw ()
const uint128 & | operator+ () const throw ()
uint128 & | operator-= (const uint128 &b) throw ()
uint128 & | operator/= (const uint128 &b) throw ()
uint128 & | operator%= (const uint128 &b) throw ()
unsigned int | toUint () const throw ()
int64u | toUint64 () const throw ()
const char * | toString (unsigned int radix=10) const throw ()
float | toFloat () const throw ()
double | toDouble () const throw ()
long double | toLongDouble () const throw ()
uint128 | div (const uint128 &, uint128 &) const throw ()
bool | bit (unsigned int n) const throw ()
void | bit (unsigned int n, bool val) throw ()

## Public Attributes
int64u | lo
int64u | hi

## Friends
bool | operator< (const uint128 &, const uint128 &) throw ()
bool | operator== (const uint128 &, const uint128 &) throw ()
bool | operator|| (const uint128 &, const uint128 &) throw ()
bool | operator&& (const uint128 &, const uint128 &) throw ()

## Constructor & Destructor Documentation

ZenLib::uint128::uint128 | ( |  | ) |
throw | ( |
| ) |  |
| inline

Referenced by ZenLib::operator%(), ZenLib::operator&(), ZenLib::operator*(), ZenLib::operator+(), ZenLib::operator-(), ZenLib::operator/(), ZenLib::operator<<(), ZenLib::operator>>(), ZenLib::operator^(), and ZenLib::operator|().

ZenLib::uint128::uint128 | ( | const uint128 & | a | ) |
throw | ( |
| ) |  |
| inline

ZenLib::uint128::uint128 | ( | const int & | a | ) |
throw | ( |
| ) |  |
| inline

ZenLib::uint128::uint128 | ( | const unsigned int & | a | ) |
throw | ( |
| ) |  |
| inline

ZenLib::uint128::uint128 | ( | const int64u & | a | ) |
throw | ( |
| ) |  |
| inline

ZenLib::uint128::uint128 | ( | const float | a | ) |
throw | ( |
| ) |  |

ZenLib::uint128::uint128 | ( | const double & | a | ) |
throw | ( |
| ) |  |

ZenLib::uint128::uint128 | ( | const long double & | a | ) |
throw | ( |
| ) |  |

ZenLib::uint128::uint128 | ( | const char * | sz | ) |
throw | ( |
| ) |  |

## Member Function Documentation

bool ZenLib::uint128::bit | ( | unsigned int | n | ) | const
throw | ( |
| ) |  |

void ZenLib::uint128::bit | ( | unsigned int | n,
|  | bool | val
| ) |  |
throw | ( |
| ) |  |

uint128 ZenLib::uint128::div | ( | const uint128 & | ,
|  | uint128 & |
| ) |  | const
throw | ( |
| ) |  |

Referenced by operator%=(), and operator/=().

bool ZenLib::uint128::operator! | ( |  | ) | const
throw | ( |
| ) |  |

uint128& ZenLib::uint128::operator%= | ( | const uint128 & | b | ) |
throw | ( |
| ) |  |
| inline

References div().

uint128& ZenLib::uint128::operator&= | ( | const uint128 & | b | ) |
throw | ( |
| ) |  |

uint128& ZenLib::uint128::operator*= | ( | const uint128 & | b | ) |
throw | ( |
| ) |  |

const uint128& ZenLib::uint128::operator+ | ( |  | ) | const
throw | ( |
| ) |  |
| inline

uint128& ZenLib::uint128::operator++ | ( |  | ) |

uint128 ZenLib::uint128::operator++ | ( | int |  | ) |

uint128& ZenLib::uint128::operator+= | ( | const uint128 & | b | ) |
throw | ( |
| ) |  |

uint128 ZenLib::uint128::operator- | ( |  | ) | const
throw | ( |
| ) |  |

uint128& ZenLib::uint128::operator-- | ( |  | ) |

uint128 ZenLib::uint128::operator-- | ( | int |  | ) |

uint128& ZenLib::uint128::operator-= | ( | const uint128 & | b | ) |
throw | ( |
| ) |  |
| inline

uint128& ZenLib::uint128::operator/= | ( | const uint128 & | b | ) |
throw | ( |
| ) |  |
| inline

References div().

uint128& ZenLib::uint128::operator<<= | ( | unsigned int | n | ) |
throw | ( |
| ) |  |

uint128& ZenLib::uint128::operator>>= | ( | unsigned int | n | ) |
throw | ( |
| ) |  |

uint128& ZenLib::uint128::operator^= | ( | const uint128 & | b | ) |
throw | ( |
| ) |  |

uint128& ZenLib::uint128::operator|= | ( | const uint128 & | b | ) |
throw | ( |
| ) |  |

uint128 ZenLib::uint128::operator~ | ( |  | ) | const
throw | ( |
| ) |  |

double ZenLib::uint128::toDouble | ( |  | ) | const
throw | ( |
| ) |  |

float ZenLib::uint128::toFloat | ( |  | ) | const
throw | ( |
| ) |  |

long double ZenLib::uint128::toLongDouble | ( |  | ) | const
throw | ( |
| ) |  |

const char* ZenLib::uint128::toString | ( | unsigned int | radix = `10` | ) | const
throw | ( |
| ) |  |

unsigned int ZenLib::uint128::toUint | ( |  | ) | const
throw | ( |
| ) |  |
| inline

References lo.

int64u ZenLib::uint128::toUint64 | ( |  | ) | const
throw | ( |
| ) |  |
| inline

References lo.

## Friends And Related Function Documentation

bool operator&& | ( | const uint128 & | ,
|  | const uint128 & |
| ) |  |
throw | ( |
| ) |  |
| friend

bool operator< | ( | const uint128 & | ,
|  | const uint128 & |
| ) |  |
throw | ( |
| ) |  |
| friend

bool operator== | ( | const uint128 & | ,
|  | const uint128 & |
| ) |  |
throw | ( |
| ) |  |
| friend

bool operator|| | ( | const uint128 & | ,
|  | const uint128 & |
| ) |  |
throw | ( |
| ) |  |
| friend

## Member Data Documentation

int64u ZenLib::uint128::hi

int64u ZenLib::uint128::lo

Referenced by toUint(), and toUint64().

The documentation for this class was generated from the following file:

- int128u.h